Qore MysqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | List of all members
MysqlSqlUtil::MysqlSequence Class Reference

class for MySQL sequences based on a sequence table and autonomous transactions More...

Inheritance diagram for MysqlSqlUtil::MysqlSequence:
[legend]

## Public Member Functions
| constructor (string n_table_name, string n_name, number n_start=1, number n_increment=1, *softnumber n_end)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the sequence in the database
string | getDropSql ()
| returns a string that can be used to drop the sequence from the database
string | getRenameSql (string new_name)
| returns a string that can be used to rename the sequence in the database

## Detailed Description

class for MySQL sequences based on a sequence table and autonomous transactions